Skip to main content
Versionv1

Company Profiles API (v1)

Download OpenAPI specification:Download

Company Profile

Get Company Profiles

Get all company profiles for the given Account.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the Logical Account or Voice Account.

query Parameters
IncludeDeleted
boolean
Example: IncludeDeleted=false

Whether deleted profiles should be included in the result. Defaults to false.

q
string
skip
integer <int32>
take
integer <int32>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create Company Profile

Create a new company profile that allows you to request new phone numbers.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the Logical Account or Voice Account.

Request Body schema:

New company profile to create.

guid
string <uuid>

Unique identifier of the company profile.

voiceAccountGuid
string <uuid>

Unique identifier of the Logical Account or Voice Account.

profileName
required
string [ 1 .. 100 ] characters

The name of the company profile. This name does not have to be equal to your company name, it's just to make this profile more easily identifiable in our tooling. If the company has multiple branches, this profile can be named 'Amsterdam Office' for example.

companyName
required
string [ 1 .. 100 ] characters

The name of the company that will be using the phone numbers requested with this profile.

registrationNumber
required
string [ 1 .. 100 ] characters

Business register number of the company (e.g. KVK number for Dutch companies).

representativeFirstName
required
string [ 1 .. 100 ] characters

First name of company’s representative that is authorized to sign contracts for the company.

representativeLastName
required
string [ 1 .. 100 ] characters

Last name of company’s representative that is authorized to sign contracts for the company

representativePhoneNumber
string or null [ 6 .. 20 ] characters

Phone number of company’s representative that is authorized to sign contracts for the company

companyCountryCode
required
string = 2 characters

Country code of the company address in ISO 3166-1 alpha-2 format.

object or null

Depending on the country of the company address, we might require additional information that needs to be supplied with the API call. See the Verify Required Fields endpoint documentation for more information.

region
string or null <= 100 characters

Region of the company address.

city
required
string [ 1 .. 100 ] characters

City of the company address.

postalCode
required
string [ 1 .. 12 ] characters

Postal code of the company address.

street
required
string [ 1 .. 255 ] characters

Street of the company address.

streetNumber
required
string [ 1 .. 10 ] characters

Street number of the company address.

streetNumberExt
string or null <= 255 characters

Extra information about the street number. E.g. apartment or suite.

phoneNumberCountryCode
required
string = 2 characters

The country code of the country this company profile will request numbers for. For example, if you supply NL, you will only be able to request Dutch phone numbers with this profile.

phoneNumberTypes
required
Array of strings non-empty [ items non-empty ]

The types of phone numbers this profile is able to request. This can be LOCAL, NATIONAL and TOLLFREE.

contactFirstName
required
string [ 1 .. 100 ] characters

First name of the person that CM.com will be able to contact regarding this profile. This contact can be about the approval status of your profile or a request for additional information.

contactLastName
required
string [ 1 .. 100 ] characters

Last name of the person that CM.com will be able to contact regarding this profile. This contact can be about the approval status of your profile or a request for additional information.

emailAddresses
required
Array of strings <email> non-empty [ items <email > ]

One or more email addresses that CM.com will be able to contact regarding this profile. This contact can be about the approval status of your profile or a request for additional information.

callbackUrl
string or null

URL that we'll send a POST request to when the status of the request has been updated. The body of this post request will contain the entire company profile, including the updated status.

Array of objects or null (Document)

List of documents that are legaly required for us to be able to request phone numbers.

deletedOn
string or null <date-time>

UTC DateTime on which the current profile was deleted. Can be null if the profile is still active.

statusKey
string or null

The current approval status of the company profile.

statusComment
string or null

Optional comment on the current approval status of the profile.

Responses

Request samples

Content type
{
  • "guid": "ee6a7af7-650d-499b-8e32-58a52ffdb7bc",
  • "voiceAccountGuid": "71f5732a-2883-4193-a286-efec13e07e6f",
  • "profileName": "string",
  • "companyName": "string",
  • "registrationNumber": "string",
  • "representativeFirstName": "string",
  • "representativeLastName": "string",
  • "representativePhoneNumber": "string",
  • "companyCountryCode": "st",
  • "requiredFields": {
    },
  • "region": "string",
  • "city": "string",
  • "postalCode": "string",
  • "street": "string",
  • "streetNumber": "string",
  • "streetNumberExt": "string",
  • "phoneNumberCountryCode": "st",
  • "phoneNumberTypes": [
    ],
  • "contactFirstName": "string",
  • "contactLastName": "string",
  • "emailAddresses": [],
  • "callbackUrl": "string",
  • "documents": [
    ],
  • "deletedOn": "2019-08-24T14:15:22Z",
  • "statusKey": "string",
  • "statusComment": "string"
}

Response samples

Content type
application/json
{
  • "guid": "ee6a7af7-650d-499b-8e32-58a52ffdb7bc",
  • "voiceAccountGuid": "71f5732a-2883-4193-a286-efec13e07e6f",
  • "profileName": "string",
  • "companyName": "string",
  • "registrationNumber": "string",
  • "representativeFirstName": "string",
  • "representativeLastName": "string",
  • "representativePhoneNumber": "string",
  • "companyCountryCode": "st",
  • "requiredFields": {
    },
  • "region": "string",
  • "city": "string",
  • "postalCode": "string",
  • "street": "string",
  • "streetNumber": "string",
  • "streetNumberExt": "string",
  • "phoneNumberCountryCode": "st",
  • "phoneNumberTypes": [
    ],
  • "contactFirstName": "string",
  • "contactLastName": "string",
  • "emailAddresses": [],
  • "callbackUrl": "string",
  • "documents": [
    ],
  • "deletedOn": "2019-08-24T14:15:22Z",
  • "statusKey": "string",
  • "statusComment": "string"
}

Get Company Profile

Get a specific company profile based on its unique identifier.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the Logical Account or Voice Account.

companyProfileGuid
required
string <uuid>

Unique identifier of the company profile.

Responses

Response samples

Content type
application/json
{
  • "guid": "ee6a7af7-650d-499b-8e32-58a52ffdb7bc",
  • "voiceAccountGuid": "71f5732a-2883-4193-a286-efec13e07e6f",
  • "profileName": "string",
  • "companyName": "string",
  • "registrationNumber": "string",
  • "representativeFirstName": "string",
  • "representativeLastName": "string",
  • "representativePhoneNumber": "string",
  • "companyCountryCode": "st",
  • "requiredFields": {
    },
  • "region": "string",
  • "city": "string",
  • "postalCode": "string",
  • "street": "string",
  • "streetNumber": "string",
  • "streetNumberExt": "string",
  • "phoneNumberCountryCode": "st",
  • "phoneNumberTypes": [
    ],
  • "contactFirstName": "string",
  • "contactLastName": "string",
  • "emailAddresses": [],
  • "callbackUrl": "string",
  • "documents": [
    ],
  • "deletedOn": "2019-08-24T14:15:22Z",
  • "statusKey": "string",
  • "statusComment": "string"
}

Update Company Profile

Update an existing company profile. Please note that changes you make to your profile may result in your profile having to be revalidated. To check if this is indeed the case, you can call the Check Update Consequences endpoint described below.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the Logical Account or Voice Account.

companyProfileGuid
required
string <uuid>

Unique identifier of the company profile.

Request Body schema:

The updated company profile

profileName
string or null

The name of the company profile. This name does not have to be equal to your company name, it's just to make this profile more easily identifiable in our tooling. If the company has multiple branches, this profile can be named 'Amsterdam Office' for example.

companyName
string or null

The name of the company that will be using the phone numbers requested with this profile.

registrationNumber
string or null

Business register number of the company (e.g. KVK number for Dutch companies).

representativeFirstName
string or null

First name of company’s representative that is authorized to sign contracts for the company.

representativeLastName
string or null

Last name of company’s representative that is authorized to sign contracts for the company

representativePhoneNumber
string or null

Phone number of company’s representative that is authorized to sign contracts for the company

object or null

Depending on the country of the company address, we might require additional information that needs to be supplied with the API call. See the Verify Required Fields endpoint documentation for more information.

phoneNumberCountryCode
string or null

The country code of the country this company profile will request numbers for. For example, if you supply NL, you will only be able to request Dutch phone numbers with this profile.

phoneNumberTypes
Array of strings or null

The types of phone numbers this profile is able to request. This can be LOCAL, NATIONAL and TOLLFREE.

contactFirstName
string or null

First name of the person that CM.com will be able to contact regarding this profile. This contact can be about the approval status of your profile or a request for additional information.

contactLastName
string or null

Last name of the person that CM.com will be able to contact regarding this profile. This contact can be about the approval status of your profile or a request for additional information.

emailAddresses
Array of strings or null

One or more email addresses that CM.com will be able to contact regarding this profile. This contact can be about the approval status of your profile or a request for additional information.

callbackUrl
string or null

URL that we'll send a POST request to when the status of the request has been updated. The body of this post request will contain the entire company profile, including the updated status.

Array of objects or null (Document)

List of documents that are legaly required for us to be able to request phone numbers.

Responses

Request samples

Content type
{
  • "profileName": "string",
  • "companyName": "string",
  • "registrationNumber": "string",
  • "representativeFirstName": "string",
  • "representativeLastName": "string",
  • "representativePhoneNumber": "string",
  • "requiredFields": {
    },
  • "phoneNumberCountryCode": "string",
  • "phoneNumberTypes": [
    ],
  • "contactFirstName": "string",
  • "contactLastName": "string",
  • "emailAddresses": [
    ],
  • "callbackUrl": "string",
  • "documents": [
    ]
}

Response samples

Content type
application/json
{
  • "guid": "ee6a7af7-650d-499b-8e32-58a52ffdb7bc",
  • "voiceAccountGuid": "71f5732a-2883-4193-a286-efec13e07e6f",
  • "profileName": "string",
  • "companyName": "string",
  • "registrationNumber": "string",
  • "representativeFirstName": "string",
  • "representativeLastName": "string",
  • "representativePhoneNumber": "string",
  • "companyCountryCode": "st",
  • "requiredFields": {
    },
  • "region": "string",
  • "city": "string",
  • "postalCode": "string",
  • "street": "string",
  • "streetNumber": "string",
  • "streetNumberExt": "string",
  • "phoneNumberCountryCode": "st",
  • "phoneNumberTypes": [
    ],
  • "contactFirstName": "string",
  • "contactLastName": "string",
  • "emailAddresses": [],
  • "callbackUrl": "string",
  • "documents": [
    ],
  • "deletedOn": "2019-08-24T14:15:22Z",
  • "statusKey": "string",
  • "statusComment": "string"
}

Delete Company Profile

Delete the company profile with the given unique identifier.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the Logical Account or Voice Account.

companyProfileGuid
required
string <uuid>

Unique identifier of the company profile.

Responses

Response samples

Content type
application/json
{
  • "requestId": "string",
  • "errors": [
    ]
}

Get Company Profile Statuses

A company profile can be assigned multiple statuses. With this request you can retrieve all possible statuses.

Authorizations:
X-CM-PRODUCTTOKEN

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Validate Required Fields

For some countries, we require additional information to be supplied with your company profile. This additional information is called RequiredFields in your company profile.

With this endpoint you can check if the required fields you want to submit are complete and valid before you submit them in your company profile. If a required field is invalid, the response of this request will also tell you the reason.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
countryCode
required
string

Country code to validate the required fields for

Request Body schema:

The required fields to check

property name*
additional property
string

Responses

Request samples

Content type
{
  • "property1": "string",
  • "property2": "string"
}

Response samples

Content type
application/json
[
  • {
    }
]

Validate Street Number & Postal Code combination

Validate your street number and postal code combination for a specific country.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
countryCode
required
string

Country code for validating the street number and postal code combination

Request Body schema:

CM.Voice.CompanyProfilesApi.Models.Api.ApiStreetNumberAndPostalCodeValidationRequest

streetNumber
string or null <= 10 characters

Street number of the company address

streetNumberExt
string or null <= 255 characters

Extra information about the street number. E.g. apartment or suite

postalCode
string or null <= 12 characters

Postal code of the company address

Responses

Request samples

Content type
{
  • "streetNumber": "string",
  • "streetNumberExt": "string",
  • "postalCode": "string"
}

Response samples

Content type
application/json
[
  • {
    }
]

Check Update Consequences

Some changes to your company profile will result in your profile having to be revalidated, such as a change in your company address. With this endpoint you can check what the possible concequences are of the update you want to perform, to make sure you don't accidentally invalidate your profile.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the Logical Account or Voice Account.

companyProfileGuid
required
string <uuid>

Unique identifier of the company profile.

Request Body schema:

The updated company profile

profileName
string or null

The name of the company profile. This name does not have to be equal to your company name, it's just to make this profile more easily identifiable in our tooling. If the company has multiple branches, this profile can be named 'Amsterdam Office' for example.

companyName
string or null

The name of the company that will be using the phone numbers requested with this profile.

registrationNumber
string or null

Business register number of the company (e.g. KVK number for Dutch companies).

representativeFirstName
string or null

First name of company’s representative that is authorized to sign contracts for the company.

representativeLastName
string or null

Last name of company’s representative that is authorized to sign contracts for the company

representativePhoneNumber
string or null

Phone number of company’s representative that is authorized to sign contracts for the company

object or null

Depending on the country of the company address, we might require additional information that needs to be supplied with the API call. See the Verify Required Fields endpoint documentation for more information.

phoneNumberCountryCode
string or null

The country code of the country this company profile will request numbers for. For example, if you supply NL, you will only be able to request Dutch phone numbers with this profile.

phoneNumberTypes
Array of strings or null

The types of phone numbers this profile is able to request. This can be LOCAL, NATIONAL and TOLLFREE.

contactFirstName
string or null

First name of the person that CM.com will be able to contact regarding this profile. This contact can be about the approval status of your profile or a request for additional information.

contactLastName
string or null

Last name of the person that CM.com will be able to contact regarding this profile. This contact can be about the approval status of your profile or a request for additional information.

emailAddresses
Array of strings or null

One or more email addresses that CM.com will be able to contact regarding this profile. This contact can be about the approval status of your profile or a request for additional information.

callbackUrl
string or null

URL that we'll send a POST request to when the status of the request has been updated. The body of this post request will contain the entire company profile, including the updated status.

Array of objects or null (Document)

List of documents that are legaly required for us to be able to request phone numbers.

Responses

Request samples

Content type
{
  • "profileName": "string",
  • "companyName": "string",
  • "registrationNumber": "string",
  • "representativeFirstName": "string",
  • "representativeLastName": "string",
  • "representativePhoneNumber": "string",
  • "requiredFields": {
    },
  • "phoneNumberCountryCode": "string",
  • "phoneNumberTypes": [
    ],
  • "contactFirstName": "string",
  • "contactLastName": "string",
  • "emailAddresses": [
    ],
  • "callbackUrl": "string",
  • "documents": [
    ]
}

Response samples

Content type
application/json
{
  • "guid": "ee6a7af7-650d-499b-8e32-58a52ffdb7bc",
  • "voiceAccountGuid": "71f5732a-2883-4193-a286-efec13e07e6f",
  • "profileName": "string",
  • "companyName": "string",
  • "registrationNumber": "string",
  • "representativeFirstName": "string",
  • "representativeLastName": "string",
  • "representativePhoneNumber": "string",
  • "companyCountryCode": "st",
  • "requiredFields": {
    },
  • "region": "string",
  • "city": "string",
  • "postalCode": "string",
  • "street": "string",
  • "streetNumber": "string",
  • "streetNumberExt": "string",
  • "phoneNumberCountryCode": "st",
  • "phoneNumberTypes": [
    ],
  • "contactFirstName": "string",
  • "contactLastName": "string",
  • "emailAddresses": [],
  • "callbackUrl": "string",
  • "documents": [
    ],
  • "deletedOn": "2019-08-24T14:15:22Z",
  • "statusKey": "string",
  • "statusComment": "string"
}